unit untDrives;

interface

uses
  SysUtils, Classes, Forms, Controls, StdCtrls, Buttons;

type
  TfrmDrives = class(TForm)
    LstDrives: TListBox;
    SpdGetDrives: TSpeedButton;
    SpdClose: TSpeedButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SpdCloseClick(Sender: TObject);
    procedure SpdGetDrivesClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDrives: TfrmDrives;

implementation

{$R *.DFM}
uses untMain, untCommands, untFileManager;

procedure TfrmDrives.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Action:=caFree;
   frmDrives:=nil;
end;

procedure TfrmDrives.SpdCloseClick(Sender: TObject);
begin
   Close;
end;

procedure TfrmDrives.SpdGetDrivesClick(Sender: TObject);
var
   cDrive:string;
begin
   if LstDrives.ItemIndex < 0 then Exit;
   cDrive:=Copy(LstDrives.Items[LstDrives.ItemIndex],1,3);
   frmFileManager.LvwFiles.Items.Clear;
   frmMain.strStatus:='Refresing directory...';
   frmMain.SendCommand(COMMAND_REFRESH_FOLDER,cDrive);
   Close;
end;

procedure TfrmDrives.FormCreate(Sender: TObject);
begin
   Caption:='Avaiable drives';
end;

end.
