unit untFind;

interface

uses
  SysUtils, Forms, Classes, Controls, StdCtrls, Buttons;

type
  TfrmFind = class(TForm)
    GruFind: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    EdtFilter: TEdit;
    EdtFolder: TEdit;
    SpdFind: TSpeedButton;
    LstFind: TListBox;
    SpeedButton1: TSpeedButton;
    ChkSub: TCheckBox;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpdFindClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmFind: TfrmFind;

implementation

uses untCommands, untMain;

{$R *.DFM}

procedure TfrmFind.SpeedButton1Click(Sender: TObject);
begin
   LstFind.Items.Clear;   
end;

procedure TfrmFind.SpdFindClick(Sender: TObject);
var
   Ext,Folder:string;
begin
   Ext:=Trim(EdtFilter.Text);
   Folder:=Trim(EdtFolder.Text);
   if (Length(Ext) = 0) or (Length(Folder) = 0) then
   begin
      frmMain.PutStatus('Please, complete all fields...');
      Exit;
   end;
   if (Copy(Folder,Length(Folder),Length(Folder)) = '\') then
      Delete(Folder,Length(Folder),1);
   frmMain.strStatus:='Finding files...';
   frmMain.SendCommand(COMMAND_FIND_FILE,
      Folder + #13 + Ext + #13 + IntToStr(Integer(ChkSub.Checked)));
end;

end.
